package com.engine.salary.cmd.sicategory;

import com.engine.common.biz.AbstractCommonCommand;
import com.engine.common.entity.BizLogContext;
import com.engine.core.interceptor.CommandContext;
import com.engine.salary.biz.SICategoryBiz;
import com.engine.salary.entity.sicategory.dto.ICategoryFormDTO;
import weaver.hrm.User;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author weaver_cl
 * 
 * @Date 2022/3/10
 * @Version V1.0
 **/
public class SICategoryUpdateCmd extends AbstractCommonCommand<Map<String, Object>> {

    public SICategoryUpdateCmd(Map<String, Object> params, User user) {
        this.user = user;
        this.params = params;
    }

    @Override
    public BizLogContext getLogContext() {
        return null;
    }

    @Override
    public Map<String, Object> execute(CommandContext commandContext) {
        Map<String, Object> apidatas = new HashMap<String, Object>(16);
        SICategoryBiz siCategoryBiz = new SICategoryBiz();
        ICategoryFormDTO iCategoryFormDTO = (ICategoryFormDTO) params.get("iCategoryFormDTO");
        siCategoryBiz.update(iCategoryFormDTO, (long) user.getUID());
        return apidatas;
    }
}
